%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-qstylizer
Version:       0.2.4
Release:       1mamba
Summary:       Qt stylesheet generation utility for PyQt/PySide
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/blambright/qstylizer
Source:        https+git://github.com/blambright/qstylizer.git/%{version}/qstylizer-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(inflection)
BuildRequires: python3.11dist(tinycss2)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n qstylizer-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Thu Nov 21 2024 Automatic Build System <autodist@openmamba.org> 0.2.4-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 0.2.3-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.2.2-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Apr 09 2023 Sdk Build System <sdk@mambasoft.it> 0.2.2-2mamba
- rebuilt with python 3.10

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- package created using the webbuild interface
